site_name: AutoGPT Documentation
site_url: https://docs.agpt.co/
repo_url: https://github.com/Significant-Gravitas/AutoGPT
repo_name: AutoGPT
edit_uri: edit/master/docs/content
docs_dir: content
nav:
  - Home: index.md

  - The AutoGPT Platform 🆕: 
    - Getting Started: 
        - Setup AutoGPT (Local-Host): platform/getting-started.md
        - Edit an Agent: platform/edit-agent.md
        - Delete an Agent: platform/delete-agent.md
        - Download & Import and Agent: platform/download-agent-from-marketplace-local.md 
        - Create a Basic Agent: platform/create-basic-agent.md
        - Submit an Agent to the Marketplace: platform/submit-agent-to-marketplace.md   
    - Advanced Setup: platform/advanced_setup.md
    - Agent Blocks: platform/agent-blocks.md
    - Build your own Blocks: platform/new_blocks.md
    - Block SDK Guide: platform/block-sdk-guide.md
    - Using Ollama: platform/ollama.md
    - Using AI/ML API: platform/aimlapi.md
    - Using D-ID: platform/d_id.md
    - Blocks: platform/blocks/blocks.md
    - Contributing:
        - Tests: platform/contributing/tests.md
        - OAuth Flows: platform/contributing/oauth-integration-flow.md
  - AutoGPT Classic:
      - Introduction: classic/index.md
      - Setup:
          - Setting up AutoGPT: classic/setup/index.md
          - Set up with Docker: classic/setup/docker.md
          - For Developers: classic/setup/for-developers.md
          - Configuration:
              - Options: classic/configuration/options.md
              - Search: classic/configuration/search.md
              - Voice: classic/configuration/voice.md
      - Usage: classic/usage.md
      - Help us improve AutoGPT:
          - Share your debug logs with us: classic/share-your-logs.md
          - Contribution guide: contributing.md
          - Running tests: classic/testing.md
          - Code of Conduct: code-of-conduct.md
      - Benchmark:
          - Readme: https://github.com/Significant-Gravitas/AutoGPT/blob/master/classic/benchmark/README.md
      - Forge:
         - Introduction: forge/get-started.md
         - Components:
             - Introduction: forge/components/introduction.md
             - Agents: forge/components/agents.md
             - Components: forge/components/components.md
             - Protocols: forge/components/protocols.md
             - Commands: forge/components/commands.md
             - Built in Components: forge/components/built-in-components.md
             - Creating Components: forge/components/creating-components.md
      - Frontend:
         - Readme: https://github.com/Significant-Gravitas/AutoGPT/blob/master/classic/frontend/README.md

  - Contribute: 
        - Introduction: contribute/index.md
        - Testing: ../../autogpt_platform/backend/TESTING.md
    
  # - Challenges:
  #     - Introduction: challenges/introduction.md
  #     - List of Challenges:
  #         - Memory:
  #             - Introduction: challenges/memory/introduction.md
  #             - Memory Challenge A: challenges/memory/challenge_a.md
  #             - Memory Challenge B: challenges/memory/challenge_b.md
  #             - Memory Challenge C: challenges/memory/challenge_c.md
  #             - Memory Challenge D: challenges/memory/challenge_d.md
  #         - Information retrieval:
  #             - Introduction: challenges/information_retrieval/introduction.md
  #             - Information Retrieval Challenge A: challenges/information_retrieval/challenge_a.md
  #             - Information Retrieval Challenge B: challenges/information_retrieval/challenge_b.md
  # - Submit a Challenge: challenges/submit.md
  # - Beat a Challenge: challenges/beat.md

  - License: https://github.com/Significant-Gravitas/AutoGPT/blob/master/LICENSE

theme:
  name: material
  custom_dir: overrides
  language: en
  icon:
    repo: fontawesome/brands/github
    logo: material/book-open-variant
    edit: material/pencil
    view: material/eye
  favicon: assets/favicon.png
  features:
    - navigation.sections
    - navigation.footer
    - navigation.top
    - navigation.tracking
    - navigation.tabs
    # - navigation.path
    - toc.follow
    - toc.integrate
    - content.action.edit
    - content.action.view
    - content.code.copy
    - content.code.annotate
    - content.tabs.link
  palette:
    # Palette toggle for light mode
    - media: "(prefers-color-scheme: light)"
      scheme: default
      toggle:
        icon: material/weather-night
        name: Switch to dark mode

    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      toggle:
        icon: material/weather-sunny
        name: Switch to light mode

markdown_extensions:
  # Python Markdown
  - abbr
  - admonition
  - attr_list
  - def_list
  - footnotes
  - md_in_html
  - toc:
      permalink: true
  - tables

  # Python Markdown Extensions
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.betterem:
      smart_enable: all
  - pymdownx.critic
  - pymdownx.caret
  - pymdownx.details
  - pymdownx.emoji:
      emoji_index: !!python/name:material.extensions.emoji.twemoji
      emoji_generator: !!python/name:material.extensions.emoji.to_svg
  - pymdownx.highlight
  - pymdownx.inlinehilite
  - pymdownx.keys
  - pymdownx.mark
  - pymdownx.smartsymbols
  - pymdownx.snippets:
      base_path: ['.','../']
      check_paths: true
      dedent_subsections: true
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.tabbed:
      alternate_style: true
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.tilde

plugins:
  - table-reader
  - search
  - git-revision-date-localized:
      enable_creation_date: true

extra:
  social:
    - icon: fontawesome/brands/github
      link: https://github.com/Significant-Gravitas/AutoGPT
    - icon: fontawesome/brands/x-twitter
      link: https://x.com/Auto_GPT
    - icon: fontawesome/brands/instagram
      link: https://www.instagram.com/autogpt/
    - icon: fontawesome/brands/discord
      link: https://discord.gg/autogpt
      
extra:
  analytics:
    provider: google
    property: G-XKPNKB9XG6

extra_javascript:
  - https://unpkg.com/tablesort@5.3.0/dist/tablesort.min.js
  - _javascript/tablesort.js
  - _javascript/mathjax.js
  - https://cdnjs.cloudflare.com/polyfill/v3/polyfill.min.js?features=es6
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js
